---
apiVersion: kustomize.toolkit.fluxcd.io/v1beta1
kind: Kustomization
metadata:
  name: prod-customer-service
  namespace: flux-system
spec:
  healthChecks:
  - kind: Deployment
    name: prod-customer-service-deployment
    namespace: prod
  interval: 1m0s
  path: ./customer-service/overlays/prod
  prune: true
  sourceRef:
    kind: GitRepository
    name: k8s-configuration-kustomize
  timeout: 1m0s
  validation: client